Ubuntu

Java Docs Package Won't Install

Reported by Max Luebbe on 2007-02-18
This bug affects 437 people
Affects Status Importance Assigned to Milestone
j2se1.4-i586 (Ubuntu)
Wishlist
Unassigned
Declined for Jaunty by Matthias Klose
sun-java5 (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Matthias Klose
sun-java6 (Ubuntu)
Medium
cpmarkman
Declined for Jaunty by Matthias Klose

Bug Description

Binary package hint: sun-java6-doc

This is also a problem with the java5 version of this package

Trying to install these packages produces a message:

Setting up sun-java6-doc (6-00-2ubuntu1) ...
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

    jdk-6-doc.zip jdk-6-doc-ja.zip

(choose the non-update version if this is the first installation).
Please visit

    http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]

We should probably use wget or something to grab these files and save users the hassle. This is annoying and unnecessary.

Áron Sisak (asisak) wrote :

There might be a licensing issue that prevents us doing the easy way.
But I agree that installing documentation should work without user downloads.

Changed in sun-java5:
importance: Undecided → Wishlist
status: Unconfirmed → Confirmed
Changed in sun-java6:
importance: Undecided → Wishlist
status: Unconfirmed → Confirmed

I think the issue could possibly lie in the matter that there is no root account per say. Have noticed that on my fiesty system it continues and try top install it self with every package that I add to the system.

Nathan Murray wrote:
> I think the issue could possibly lie in the matter that there is no root
> account per say. Have noticed that on my fiesty system it continues and
> try top install it self with every package that I add to the system.
>
>

If you follow the instructions it gives, it will install and stop
popping up during your updates.
You need to grab an archive from sun's website, and move/decompress it
to a specific location with root permissions.

However - I think the fact that you have to do that is a bug in and of
itself.
Especially because the broken package will halt any update operation.
Users less familiar with ubuntu might mistakenly think that the process
has frozen, when in fact its halted because of blocking I/O.

In my opinion, either the package should actually install the
documentation from sun's website or should be removed from the repository.
Why would anyone want to install a package that installs nothing and
does nothing more than screw up your updates until you install some
archives off the web as root?

-Max

Matthias Klose (doko) wrote :

developers needing the documentation appreciate to be able to install the docs, so it's not useless. Please send a patch, if you think that the installation procedure can be simplified.

Alex Mayorga (alex-mayorga) wrote :

I confirm this one happens to me and that I consider it a bug, given that it gets in the way of any update. I'll suggest removing sun-java6-doc in the time being.

What we should be doing since licensing is a problem, is handling it the
same way we do with other components with the same problem. Doesn't a popup
with the license, and the agree button seem logical? If we did this, could
we make this a real package as opposed to an empty one? If this is ok, I'll
contrib a new version with this functionality.

The blocking of my update is why I reported this the first time.

-Max

On 5/26/07, alex_mayorga <email address hidden> wrote:
>
> I confirm this one happens to me and that I consider it a bug, given
> that it gets in the way of any update. I'll suggest removing sun-
> java6-doc in the time being.
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alex Mayorga (alex-mayorga) wrote :

I agree that on the click trough license acceptance idea. All Sun's products use this concept.

Max Luebbe (max-luebbe) wrote :

I've got tommorrow off from work, I might have time to build this.
If not, I'll make a package sometime next week.

-Max

On 5/26/07, alex_mayorga <email address hidden> wrote:
>
> I agree that on the click trough license acceptance idea. All Sun's
> products use this concept.
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alex Mayorga (alex-mayorga) wrote :

This one still appears on Gutsy Tribe 5 as follows:

user@host:~$ sudo aptitude show sun-java6-doc
[sudo] password for user:
Package: sun-java6-doc
State: not installed
Version: 6-02-1ubuntu1
Priority: optional
Section: multiverse/doc
Maintainer: Matthias Klose <email address hidden>
Uncompressed Size: 197k
Depends: unzip
Description: Sun JDK(TM) Documention -- integration installer
 The JDK(TM) is a development environment for building applications, applets,
 and components using the Java programming language.

 This package does not contain the Java Documentation for the Java(TM)
 Development Kit (JDK). The Java Documentation (jdk-6-doc.zip) may be
 downloaded from http://java.sun.com/javase/downloads/ and, if placed in /tmp
 (with root.root ownership), this package will install the Java Documentation
 with the corresponding JDK.

 Note that the Japanese version of the documentation (jdk-6-doc-ja.zip) may
 alternately be used.

 NOTE: you cannot currently use this package to have both English & Japanese
 documentation installed simultaneously

Matthias Klose (doko) wrote :

so what goes wrong? did you download the docs and put them into /tmp ?
we can't fix broken upstream licenses

Alex Mayorga (alex-mayorga) wrote :

@Matthias

Doesn't the Operating System Distributor License for Java (DLJ) covers the Docs as well?

When I installed the sun-java6-bin package it showed me the corresponding license and when I accepted it installed.

Regards and keep up the great work.

Matthias Klose (doko) wrote :

alex_mayorga schrieb:
> Doesn't the Operating System Distributor License for Java (DLJ) covers
> the Docs as well?

no, it's another license; the DLJ bundle doesn't include the documentation.

alain pierson (fb385776) wrote :

Same problem for me and the staff are under /tmp and run with a root account - it does not work. Failed to install

Changed in j2se1.4-i586:
importance: Undecided → Wishlist
status: New → Confirmed
sagmendez (sagmendez) wrote :

what to do to install this package? this package is needed to programing in java? i,m new and i'm studing... Thank you

Changed in sun-java6:
assignee: nobody → sagmendez
exactt (giesbert) wrote :

hi sagmendez,

this bug is more a kind of convinience thing. you can easily download java from java.sun.com and get the docs from that package.
if you are using hardy heron (aka 8.04) i would suggest using openjdk instead of sun java.

p.s. don't assign a bug to you if you aren't actually going to fix the bug (which i don't think you are doing ;-) ).

Changed in sun-java6:
assignee: sagmendez → nobody
libby (lizmacli) wrote :

hasnt the java problem got a lot to do with the changesof versions numbers of java like for instance i have version 1.6 which is really version 6 i have it to the bug .problem i think it also has a lot to do with which firefox you are running and togehther with the who is going to be having the license who filfrox/java or lnyx/java i personally think that has more to do with the problem like who is goinmg to be licensed it to with hope you understand

Allen Levin (allenlevin) wrote :

How do you stop Synaptic from trying to do the install over and over again?

Anita (anitabowersock) wrote :

Thanks i finally got it to download and put in root/tmp. This should be fixed by sun

----- Original Message ----
From: Allen Levin <email address hidden>
To: <email address hidden>
Sent: Thursday, September 11, 2008 1:53:29 PM
Subject: [Bug 85969] Re: Java Docs Package Won't Install

How do you stop Synaptic from trying to do the install over and over
again?

--
Java Docs Package Won't Install
https://bugs.launchpad.net/bugs/85969
You received this bug notification because you are a direct subscriber
of the bug.

Status in “j2se1.4-i586” source package in Ubuntu: Confirmed
Status in “sun-java5” source package in Ubuntu: Confirmed
Status in “sun-java6” source package in Ubuntu: Confirmed

Bug description:
Binary package hint: sun-java6-doc

This is also a problem with the java5 version of this package

Trying to install these packages produces a message:

Setting up sun-java6-doc (6-00-2ubuntu1) ...
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

    jdk-6-doc.zip jdk-6-doc-ja.zip

(choose the non-update version if this is the first installation).
Please visit

    http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]

We should probably use wget or something to grab these files and save users the hassle. This is annoying and unnecessary.

Matthias Klose (doko) wrote :

> We should probably use wget or something to grab these files and save
> users the hassle. This is annoying and unnecessary.

send a patch, which lets users sign the license and downloads the file.

Bruno de Lima (pyrobit) wrote :

I just read the message at the prompt on synaptics package manager and
downloaded the file manually on the .tmp folder.
then I pressed enter and it installed, sweet. I regret only I didn't read
the prompt before.

On Fri, Sep 12, 2008 at 2:20 AM, Matthias Klose <email address hidden> wrote:

> > We should probably use wget or something to grab these files and save
> > users the hassle. This is annoying and unnecessary.
>
> send a patch, which lets users sign the license and downloads the file.
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

neub (benpaka) wrote :

Still a problem on intrepid ... moreover the zip file need to be rename now:

No so difficult to do but this step should be done automatically using wget.

sudo chown root jdk-6u10-docs.zip
sudo chgrp root jdk-6u10-docs.zip
mv jdk-6u10-docs.zip /tmp/jdk-6-doc.zip

djstkg (djstkg) wrote :

The explanation in post one above is helpful and does all needed work.

JUST DO IT STEP BY STEP.

Thanks neub

djstkg (djstkg) wrote :

P.S. During next installation of any other software in Synaptic, it installs this package automatically.

After that you can delete jdk-6-doc.zip from /tmp/jdk-6-doc.zip

JJ (jjustin01) wrote :

I acccidentally reported this last night, but that's because Synaptic actually crashed which led to this bug being reported. When I tried again, I followed the instructions for downloading the JDK docs from Sun's website and copying them to the /tmp folder and it worked without a problem.

Would be nice if we didn't have to take this step though.

kingtiger01 (mnovick1988) wrote :

i agree, there also should be a small GUI utility for Setting Primary Java/Flash versions. i use GCJ personally for small things, but when i need to use the JDK, i cant set it to use the Java-6 non-free version as easy.

-- Just food for thought, though its off topic. - I fixed my issue, after removing and re-installing Java-doc

jmm (emailjeff) wrote :

The personal tactical fix is to download the docs for the correct version and then move the file to the tmp directory and rename it to what's expected.

The strategic fix is to have synaptic download it and install it.

Jeff

 -------------- Original message ----------------------
From: kingtiger01 <email address hidden>
> i agree, there also should be a small GUI utility for Setting Primary
> Java/Flash versions. i use GCJ personally for small things, but when i
> need to use the JDK, i cant set it to use the Java-6 non-free version as
> easy.
>
> -- Just food for thought, though its off topic. - I fixed my issue,
> after removing and re-installing Java-doc
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “j2se1.4-i586” source package in Ubuntu: Confirmed
> Status in “sun-java5” source package in Ubuntu: Confirmed
> Status in “sun-java6” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users the
> hassle. This is annoying and unnecessary.

Michael Vogt (mvo) wrote :

I don't think this should be priority whishlist, it makes upgrades fails and has a lot of duplicates already.

Changed in sun-java6:
importance: Wishlist → High
importance: High → Medium
Changed in sun-java5:
importance: Wishlist → Medium
wwuster (wwuster) wrote :

just happened to me. Please fix.

Paul Swanson (paul-swanson) wrote :

I followed the given instructions but that they don't work as expected. I don't mind the manual download, but it would be very good if it worked as advertised.

portingware (portingware) wrote :

I really thank you for your help

On Thu, Nov 6, 2008 at 8:20 PM, David Yoffe <email address hidden> wrote:

> The link has to be updated. I download the docs from:
>
> http://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/VerifyItem-Start/jdk-6u10-docs.zip?BundledLineItemUUID=Xt5IBe.oln8AAAEd3ypx6XSH&OrderID=iVlIBe.o6CQAAAEd0ipx6XSH&ProductID=vEZIBe.pSRoAAAEb288vh9aV&FileName=/jdk-6u10-docs.zip
>
> (http://java.sun.com/javase/downloads/?intcmp=1281)
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> Status in "sun-java5" source package in Ubuntu: Confirmed
> Status in "sun-java6" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

Juba (jbmsamba) wrote :

Could somebody please tell me what to do after you download it? I am new to
linux and am struggling to figureit out.
Thanks

Julianno

On Fri, Nov 7, 2008 at 11:04 AM, portingware <email address hidden> wrote:

> I really thank you for your help
>
>
> On Thu, Nov 6, 2008 at 8:20 PM, David Yoffe <email address hidden> wrote:
>
> > The link has to be updated. I download the docs from:
> >
> >
> http://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/VerifyItem-Start/jdk-6u10-docs.zip?BundledLineItemUUID=Xt5IBe.oln8AAAEd3ypx6XSH&OrderID=iVlIBe.o6CQAAAEd0ipx6XSH&ProductID=vEZIBe.pSRoAAAEb288vh9aV&FileName=/jdk-6u10-docs.zip
> >
> > (http://java.sun.com/javase/downloads/?intcmp=1281)
> >
> > --
> > Java Docs Package Won't Install
> > https://bugs.launchpad.net/bugs/85969
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> > Status in "sun-java5" source package in Ubuntu: Confirmed
> > Status in "sun-java6" source package in Ubuntu: Confirmed
> >
> > Bug description:
> > Binary package hint: sun-java6-doc
> >
> > This is also a problem with the java5 version of this package
> >
> > Trying to install these packages produces a message:
> >
> > Setting up sun-java6-doc (6-00-2ubuntu1) ...
> > This package is an installer package, it does not actually contain the
> > JDK documentation. You will need to go download one of the
> > archives:
> >
> > jdk-6-doc.zip jdk-6-doc-ja.zip
> >
> > (choose the non-update version if this is the first installation).
> > Please visit
> >
> > http://java.sun.com/javase/downloads/
> >
> > now and download. The file should be owned by root.root and be copied
> > to /tmp.
> >
> > [Press RETURN to try again, 'no' + RETURN to abort]
> >
> > We should probably use wget or something to grab these files and save
> users
> > the hassle. This is annoying and unnecessary.
> >
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> Status in "sun-java5" source package in Ubuntu: Confirmed
> Status in "sun-java6" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

portingware (portingware) wrote :

I just want know, I am new to Linux-bug reporting, I have used Ubuntu since
its conception, loved it.
I want to know, how can I help in reporting for bugs, like is there a debug
mode ?
What are the steps? What is a standardized way ? What is one to do, when
Ubuntu just crashes and nothing except reboot is the only way out, something
that resembles windows, the very reason for me to leave it is haunting me
;-)

The is serious as I have advocated Ubuntu in many small businesses, and do
not know how to face them.....

*So in short what is the official steps that would be needed to provide
complete information about the bug, even when system is totally crashed and
a reboot is performed.*

thanks

On Thu, Nov 6, 2008 at 2:56 PM, paul_swanson <email address hidden> wrote:

> I followed the given instructions but that they don't work as expected.
> I don't mind the manual download, but it would be very good if it worked
> as advertised.
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> Status in "sun-java5" source package in Ubuntu: Confirmed
> Status in "sun-java6" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

Dimitrios Symeonidis (azimout) wrote :

portingware, we shouldn't turn this bug report into a forum thread about debugging ubuntu.

you can start by reading https://help.ubuntu.com/community/ReportingBugs

David Yoffe (yoffedavid) wrote :

http://java.sun.com/javase/6/webnotes/install/jdk/install-docs.html

JavaTM SE 6 Release Notes
Document Installation

--------------------------------------------------------------------------------
 JDK Documentation

You should have approximately 165 MB of free disk space before installing the documentation.

Install the Java Platform Standard Edition documentation by following these steps:

1. Where to unbundle your documentation

You can install the documentation inside your JDK directory or in any other location you prefer.
Unbundling the JDK documentation creates a docs directory (folder) in the current directory, putting all the documentation inside that directory as shown here.

*******(documents) docs (APIs)
******___________________________|__________________________
*****| | | | | | | |
index.html legal technotes images api platform jre jdk
***************_______|_______
**************| | |
************tools samples guides

2. Unbundle your documentation
Unbundle the documentation using the a zip-compatible utility such as winzip, unzip, gunzip, or pkunzip. Your utility must support long file names.
To unbundle the documentation bundle using the zip utility:

C:> unzip jdk-6-doc.zip

You can also unbundle the .zip file using the JDK's jar utility:

C:> jar xvf jdk-6-doc.zip

Note: If you are using another tool that doesn't preserve path names by default, be sure to specify that path names be preserved. For example, if you are using pkunzip, specify -d:

C:> pkunzip -d jdk-6-doc.zip

Unzipping the documentation bundle creates a docs/ directory containing your Java Platform documentation.
3. View the documentation
Open the docs/index.html page in a browser. This is the front page and table of contents of the JDK documentation.

mishra (rm2111) wrote : Thanks

--- On Fri, 14/11/08, David Yoffe <email address hidden> wrote:
From: David Yoffe <email address hidden>
Subject: [Bug 85969] Re: Java Docs Package Won't Install
To: <email address hidden>
Date: Friday, 14 November, 2008, 6:00 AM

http://java.sun.com/javase/6/webnotes/install/jdk/install-docs.html

JavaTM SE 6 Release Notes
Document Installation

--------------------------------------------------------------------------------
 JDK Documentation

You should have approximately 165 MB of free disk space before
installing the documentation.

Install the Java Platform Standard Edition documentation by following
these steps:

1. Where to unbundle your documentation

You can install the documentation inside your JDK directory or in any other
location you prefer.
Unbundling the JDK documentation creates a docs directory (folder) in the
current directory, putting all the documentation inside that directory as shown
here.

*******(documents) docs (APIs)
******___________________________|__________________________
*****| | | | | | | |
index.html legal technotes images api platform jre jdk
***************_______|_______
**************| | |
************tools samples guides

2. Unbundle your documentation
Unbundle the documentation using the a zip-compatible utility such as winzip,
unzip, gunzip, or pkunzip. Your utility must support long file names.
To unbundle the documentation bundle using the zip utility:

C:> unzip jdk-6-doc.zip

You can also unbundle the .zip file using the JDK's jar utility:

C:> jar xvf jdk-6-doc.zip

Note: If you are using another tool that doesn't preserve path names by
default, be sure to specify that path names be preserved. For example, if you
are using pkunzip, specify -d:

C:> pkunzip -d jdk-6-doc.zip

Unzipping the documentation bundle creates a docs/ directory containing your
Java Platform documentation.
3. View the documentation
Open the docs/index.html page in a browser. This is the front page and table of
contents of the JDK documentation.

--
Java Docs Package Won't Install
https://bugs.launchpad.net/bugs/85969
You received this bug notification because you are a direct subscriber
of the bug.

      Unlimited freedom, unlimited storage. Get it now, on http://help.yahoo.com/l/in/yahoo/mail/yahoomail/tools/tools-08.html/

Download full text (4.0 KiB)

Hi,

my bug comes every time when I install some other packages with synapsis
(ubuntu 8.04-8.11), especially when some other java isntall package must be
installed. I have allready earlier installed javadoc 6 package with
succesfully. Perhaps reason is that some reinsltallation is not
successfull?!

Tuomas

2008/11/14 mishra <email address hidden>

>
> --- On Fri, 14/11/08, David Yoffe <email address hidden> wrote:
> From: David Yoffe <email address hidden>
> Subject: [Bug 85969] Re: Java Docs Package Won't Install
> To: <email address hidden>
> Date: Friday, 14 November, 2008, 6:00 AM
>
>
> http://java.sun.com/javase/6/webnotes/install/jdk/install-docs.html
>
> JavaTM SE 6 Release Notes
> Document Installation
>
>
> --------------------------------------------------------------------------------
> JDK Documentation
>
> You should have approximately 165 MB of free disk space before
> installing the documentation.
>
> Install the Java Platform Standard Edition documentation by following
> these steps:
>
> 1. Where to unbundle your documentation
>
> You can install the documentation inside your JDK directory or in any other
> location you prefer.
> Unbundling the JDK documentation creates a docs directory (folder) in the
> current directory, putting all the documentation inside that directory as
> shown
> here.
>
> *******(documents) docs (APIs)
> ******___________________________|__________________________
> *****| | | | | | | |
> index.html legal technotes images api platform jre jdk
> ***************_______|_______
> **************| | |
> ************tools samples guides
>
>
> 2. Unbundle your documentation
> Unbundle the documentation using the a zip-compatible utility such as
> winzip,
> unzip, gunzip, or pkunzip. Your utility must support long file names.
> To unbundle the documentation bundle using the zip utility:
>
> C:> unzip jdk-6-doc.zip
>
> You can also unbundle the .zip file using the JDK's jar utility:
>
>
> C:> jar xvf jdk-6-doc.zip
>
>
> Note: If you are using another tool that doesn't preserve path names by
> default, be sure to specify that path names be preserved. For example, if
> you
> are using pkunzip, specify -d:
>
> C:> pkunzip -d jdk-6-doc.zip
>
>
> Unzipping the documentation bundle creates a docs/ directory containing
> your
> Java Platform documentation.
> 3. View the documentation
> Open the docs/index.html page in a browser. This is the front page and
> table of
> contents of the JDK documentation.
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
> Unlimited freedom, unlimited storage. Get it now, on
> http://help.yahoo.com/l/in/yahoo/mail/yahoomail/tools/tools-08.html/
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> Status in "sun-java5" source package in Ubuntu: Confirmed
> Status in "sun-java6" source package in Ubuntu: Co...

Read more...

drieschner (drieschner) wrote :

Apparently it is necessary to remove explicitly the doc package (or what is left of it) after the bug has shown up:
sudo apt-get remove openjdk-6-doc
Michael

Thank's,it's work!

2008/11/15 drieschner <email address hidden>

> Apparently it is necessary to remove explicitly the doc package (or what is
> left of it) after the bug has shown up:
> sudo apt-get remove openjdk-6-doc
> Michael
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> Status in "sun-java5" source package in Ubuntu: Confirmed
> Status in "sun-java6" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

--
Cu stima,respect si consideratie
Al dumneavoastra
Ing.Gheorghe Salistean

Toni Helenius (toni-helenius) wrote :

Adept on Kubuntu Intrepid seems to freeze totally while trying to install this. And the download address on the Konsole isn't correct. Okay not new things, but I thought I'd still post them :)

Changed in sun-java6:
status: Confirmed → Fix Released
kenardrs (kenardrs) on 2009-05-06
Changed in j2se1.4-i586 (Ubuntu):
status: Confirmed → Fix Released
Changed in sun-java5 (Ubuntu):
status: Confirmed → Fix Released
56 comments hidden view all 136 comments
Samer (samer-housseno) wrote :
Download full text (7.8 KiB)

Tu as fou ou quoi?Profite de ton ordinateur.

Insulter les autres c'est d'abord s'insulter.

2009/5/7 jucker vincent <email address hidden>

> Fuck you
> ----- Original Message -----
> From: "makis s" <email address hidden>
> To: <email address hidden>
> Sent: Tuesday, May 05, 2009 9:19 PM
> Subject: Re: [Bug 85969] Re: Java Docs Package Won't Install
>
>
> Στις 05-05-2009, ημέρα Τρι, και ώρα 07:59 +0000, ο/η Samer έγραψε:
> > Hi,You have to chagne the name of the file javadoc.zip to jdk-6-doc.zip
> > and
> > then you run the update-manger.
> >
> >
> > Samer
> >
> > 2009/5/5 Serdar <email address hidden>
> >
> > > Hi,
> > >
> > > What do you mean by re-run it?
> > >
> > > I put the javadoc.zip file in /tmp, and then I run the update-manager
> > > and
> > > clicked on the check button. But nothing happened.
> > >
> > > thanks.
> > >
> > >
> > >
> > > 2009/5/4 Nailson <email address hidden>
> > >
> > > > Download the javadoc zip (from Sun website) file and copy it to
> > > > /tmp...
> > > >
> > > > so re-run it.
> > > >
> > > > many people say that`s not necessary, but if you use a nice IDE like
> > > > Netbeans, you`ll see a great difference.
> > > >
> > > > On Sun, May 3, 2009 at 4:53 PM, Humberto <email address hidden> wrote:
> > > >
> > > > > Java 6 doc package will not install
> > > > >
> > > > > --
> > > > > Java Docs Package Won't Install
> > > > > https://bugs.launchpad.net/bugs/85969
> > > > > You received this bug notification because you are a direct
> > > > > subscriber
> > > > > of the bug.
> > > > >
> > > >
> > > > --
> > > > Java Docs Package Won't Install
> > > > https://bugs.launchpad.net/bugs/85969
> > > > You received this bug notification because you are a direct
> subscriber
> > > > of the bug.
> > > >
> > > > Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> > > > Status in "sun-java5" source package in Ubuntu: Confirmed
> > > > Status in "sun-java6" source package in Ubuntu: Fix Released
> > > >
> > > > Bug description:
> > > > Binary package hint: sun-java6-doc
> > > >
> > > > This is also a problem with the java5 version of this package
> > > >
> > > > Trying to install these packages produces a message:
> > > >
> > > > Setting up sun-java6-doc (6-00-2ubuntu1) ...
> > > > This package is an installer package, it does not actually contain
> the
> > > > JDK documentation. You will need to go download one of the
> > > > archives:
> > > >
> > > > jdk-6-doc.zip jdk-6-doc-ja.zip
> > > >
> > > > (choose the non-update version if this is the first installation).
> > > > Please visit
> > > >
> > > > http://java.sun.com/javase/downloads/
> > > >
> > > > now and download. The file should be owned by root.root and be
> copied
> > > > to /tmp.
> > > >
> > > > [Press RETURN to try again, 'no' + RETURN to abort]
> > > >
> > > > We should probably use wget or something to grab these files and save
> > > users
> > > > the hassle. This is annoying and unnecessary.
> > > >
> > >
> > > --
> > > Java Docs Package Won't Install
> > > https://bugs.launchpad.net/bugs/85969
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in "j2se1.4-i586" source package in ...

Read more...

Download full text (9.7 KiB)

I'm sorry, it was really fool to insult back.
My apologies to the list.

Alberto.

2009/5/8 Samer <email address hidden>

> Tu as fou ou quoi?Profite de ton ordinateur.
>
> Insulter les autres c'est d'abord s'insulter.
>
> 2009/5/7 jucker vincent <email address hidden>
>
> > Fuck you
> > ----- Original Message -----
> > From: "makis s" <email address hidden>
> > To: <email address hidden>
> > Sent: Tuesday, May 05, 2009 9:19 PM
> > Subject: Re: [Bug 85969] Re: Java Docs Package Won't Install
> >
> >
> > Στις 05-05-2009, ημέρα Τρι, και ώρα 07:59 +0000, ο/η Samer έγραψε:
> > > Hi,You have to chagne the name of the file javadoc.zip to jdk-6-doc.zip
> > > and
> > > then you run the update-manger.
> > >
> > >
> > > Samer
> > >
> > > 2009/5/5 Serdar <email address hidden>
> > >
> > > > Hi,
> > > >
> > > > What do you mean by re-run it?
> > > >
> > > > I put the javadoc.zip file in /tmp, and then I run the update-manager
> > > > and
> > > > clicked on the check button. But nothing happened.
> > > >
> > > > thanks.
> > > >
> > > >
> > > >
> > > > 2009/5/4 Nailson <email address hidden>
> > > >
> > > > > Download the javadoc zip (from Sun website) file and copy it to
> > > > > /tmp...
> > > > >
> > > > > so re-run it.
> > > > >
> > > > > many people say that`s not necessary, but if you use a nice IDE
> like
> > > > > Netbeans, you`ll see a great difference.
> > > > >
> > > > > On Sun, May 3, 2009 at 4:53 PM, Humberto <email address hidden>
> wrote:
> > > > >
> > > > > > Java 6 doc package will not install
> > > > > >
> > > > > > --
> > > > > > Java Docs Package Won't Install
> > > > > > https://bugs.launchpad.net/bugs/85969
> > > > > > You received this bug notification because you are a direct
> > > > > > subscriber
> > > > > > of the bug.
> > > > > >
> > > > >
> > > > > --
> > > > > Java Docs Package Won't Install
> > > > > https://bugs.launchpad.net/bugs/85969
> > > > > You received this bug notification because you are a direct
> > subscriber
> > > > > of the bug.
> > > > >
> > > > > Status in "j2se1.4-i586" source package in Ubuntu: Confirmed
> > > > > Status in "sun-java5" source package in Ubuntu: Confirmed
> > > > > Status in "sun-java6" source package in Ubuntu: Fix Released
> > > > >
> > > > > Bug description:
> > > > > Binary package hint: sun-java6-doc
> > > > >
> > > > > This is also a problem with the java5 version of this package
> > > > >
> > > > > Trying to install these packages produces a message:
> > > > >
> > > > > Setting up sun-java6-doc (6-00-2ubuntu1) ...
> > > > > This package is an installer package, it does not actually contain
> > the
> > > > > JDK documentation. You will need to go download one of the
> > > > > archives:
> > > > >
> > > > > jdk-6-doc.zip jdk-6-doc-ja.zip
> > > > >
> > > > > (choose the non-update version if this is the first installation).
> > > > > Please visit
> > > > >
> > > > > http://java.sun.com/javase/downloads/
> > > > >
> > > > > now and download. The file should be owned by root.root and be
> > copied
> > > > > to /tmp.
> > > > >
> > > > > [Press RETURN to try again, 'no' + RETURN to abort]
> > > > >
> > > > > We should probably use wget or something to grab these files and
> save
...

Read more...

Nailson (nailsonlinux) wrote :

Ok, no problem, Comrade! in those fights, our blood boils!

Felix Calderon R (felixcr52) wrote :

Thanks ok !!!

2009/5/8 Nailson <email address hidden>

> Ok, no problem, Comrade! in those fights, our blood boils!
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “j2se1.4-i586” source package in Ubuntu: Fix Released
> Status in “sun-java5” source package in Ubuntu: Fix Released
> Status in “sun-java6” source package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

Ross Copeland (pandrcope) wrote :

I ran :

 sudo apt-get install sun-java6-doc
[sudo] password for ross:
Reading package lists... Done
Building dependency tree
Reading state information... Done
sun-java6-doc is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up sun-java6-doc (6-13-1) ...

[/tmp/jdk-6u10-docs.zip]
  End-of-central-directory signature not found. Either this file is not
  a zipfile, or it constitutes one disk of a multi-part archive. In the
  latter case the central directory and zipfile comment will be found on
  the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of /tmp/jdk-6u10-docs.zip or
        /tmp/jdk-6u10-docs.zip.zip, and cannot find /tmp/jdk-6u10-docs.zip.ZIP, period.
dpkg: error processing sun-java6-doc (--configure):
 subprocess post-installation script returned error exit status 9
Errors were encountered while processing:
 sun-java6-doc
E: Sub-process /usr/bin/dpkg returned an error code (1)

Where do I from here please

Nailson (nailsonlinux) wrote :

Try to rename the file to jdk-6u10-docs.zip, if it doesn't work, download it
again from Sun.

Ross Copeland (pandrcope) wrote :

I have tried downloading over and over, tried various suggestions and
options but just keeping running into the same dead ends so I am giving
up on Java!!!
The only reason I was even looking at Java is because I couldn't open
the Help documentation in OpenOffice. I can get help/advice for OO
elsewhere so do I really need Java? I don't think so at present so I
will try to live without it

Ross Copeland

Nailson wrote:
> Try to rename the file to jdk-6u10-docs.zip, if it doesn't work, download it
> again from Sun.
>
>

Pookito pookito (pookito) wrote :

On Saturday 27 June 2009 11:07:41 pm Ross Copeland wrote:
> I have tried downloading over and over, tried various suggestions and
> options but just keeping running into the same dead ends so I am giving
> up on Java!!!
> The only reason I was even looking at Java is because I couldn't open
> the Help documentation in OpenOffice. I can get help/advice for OO
> elsewhere so do I really need Java? I don't think so at present so I
> will try to live without it
>
> Ross Copeland
>
> Nailson wrote:
> > Try to rename the file to jdk-6u10-docs.zip, if it doesn't work, download
> > it again from Sun.

Ross, After renaming the file I think you are suppose to put it inside the /tmp
folder. Did you do that. Because it is working for me.

Joshua Demallistre

Ross Copeland (pandrcope) wrote :

Thanks, but I can't even get that far. I am over Java, don't want to
know about it anymore.

Ross Copeland

Pookito pookito wrote:
> On Saturday 27 June 2009 11:07:41 pm Ross Copeland wrote:
>
>> I have tried downloading over and over, tried various suggestions and
>> options but just keeping running into the same dead ends so I am giving
>> up on Java!!!
>> The only reason I was even looking at Java is because I couldn't open
>> the Help documentation in OpenOffice. I can get help/advice for OO
>> elsewhere so do I really need Java? I don't think so at present so I
>> will try to live without it
>>
>> Ross Copeland
>>
>> Nailson wrote:
>>
>>> Try to rename the file to jdk-6u10-docs.zip, if it doesn't work, download
>>> it again from Sun.
>>>
>
>
> Ross, After renaming the file I think you are suppose to put it inside the /tmp
> folder. Did you do that. Because it is working for me.
>
>
> Joshua Demallistre
>
>

ikelinus (marcoboffa) on 2009-09-09
Changed in sun-java6 (Ubuntu):
status: Fix Released → Fix Committed
Ross Copeland (pandrcope) wrote :

When will this fix be available?
Will the next version of Ubuntu avoid this problem?

Ross Copeland

ikelinus wrote:
> ** Changed in: sun-java6 (Ubuntu)
> Status: Fix Released => Fix Committed
>
>

Felix Calderon R (felixcr52) wrote :

thanks

2009/9/13 Ross Copeland <email address hidden>

> When will this fix be available?
> Will the next version of Ubuntu avoid this problem?
>
> Ross Copeland
>
> ikelinus wrote:
> > ** Changed in: sun-java6 (Ubuntu)
> > Status: Fix Released => Fix Committed
> >
> >
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “j2se1.4-i586” package in Ubuntu: Fix Released
> Status in “sun-java5” package in Ubuntu: Fix Released
> Status in “sun-java6” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>

--
Félix Calderón Rodríguez
http://crdrgzf.wordpress.com/
993925033 - 4301602-531
Lima - Peru

Changed to Ubuntu 9.04 and a higher Version of Java no mor problems until now.

RDR (deroover-rene) on 2009-10-16
Changed in sun-java6 (Ubuntu):
status: Fix Committed → Fix Released
Changed in sun-java6 (Ubuntu):
status: Fix Released → Fix Committed

---------- Forwarded message ----------
From: Juçara - Arplentes <email address hidden>
Date: 2009/11/12
Subject: ENC: Fortíssimo...
To: <email address hidden>

Att.:

Juçara Marques

Arp Lentes

E-mail <email address hidden>

Skype: jucara.arplentes

Fone: (11) 2575-0123
  ------------------------------

*De:* Cristiane - Arpmed [mailto:<email address hidden>]
*Enviada em:* quinta-feira, 12 de novembro de 2009 07:30
*Para:* <email address hidden>
*Cc:* Pedidos - Arplentes; <email address hidden>; <email address hidden>;
<email address hidden>
*Assunto:* Fw: Fortíssimo...

Leiam com muiitttaa Atenção!!!

Cris

----- Original Message -----

*From:* Odete Cristina Rodrigues Neves <email address hidden>

*To:* 'Eliana Aparecida do E Santo de Souz' <email address hidden> ;
<email address hidden> ; <email address hidden>

*Sent:* Tuesday, November 10, 2009 8:41 AM

*Subject:* ENC: Fortíssimo...

Nunca se esqueça de agradecer a Deus por tudo.

*"A felicidade não depende do que nos falta, mas do bom uso que fazemos do
que temos."*

   "Nós podemos chamar a nós mesmos de *Quadrangular, Assembléia, Maranata,
comunidade Presbiteriana, Batista*. *Universal, Deus é Amor, Sara, IRUP*.
Nós podemos chamar a nós mesmos de *Pentecostais, tradicionais,
neopentencostal* ou o que for, mas enquanto a *mola principal,* o *Espírito
Santo*, não estiver ali pulsando *amor, perdão, gozo, paz, bondade,
paciência, misericórdia*. estaremos apenas representando uma peça".
VAMOS VIVER O MAIOR DE TODOS OS MANDAMENTOS. AMAR À DEUS E AO NOSSO
PROXÍMO.

PAZ.

   *
------------------------------
*

*Odete Neves*****

*Treinamento & Qualidade
**T I V I T **
(11)** **3324-0024 | Ramal 80024*

*Site Ipiranga - Alfredo issa nº 48 – Sta Efigênia – São Paulo –SP.**
**www.tivit.com.br <http://www.tivit.com.br%C2%A0/>*

* *

*Uma empresa do Grupo Votorantim
**Esta mensagem, incluindo seus anexos, tem caráter confidencial e seu
conteúdo é restrito ao destinatário da mensagem. Caso você a tenha recebido
por engano, queira, por favor, retorná-la ao destinatário e apagá-la de seus
arquivos. Qualquer uso não autorizado, replicação ou disseminação desta
mensagem ou parte dela é expressamente proibido. A TIVIT não se
responsabilizará pelo conteúdo ou pela veracidade desta informação.*

* *
 *
------------------------------
*

--
Wagner França Marques
70768470

Amem.

"Jesus está mudando minha vida. Dia.após.dia."

2009/11/13 wagner <email address hidden>

> ---------- Forwarded message ----------
> From: Juçara - Arplentes <email address hidden>
> Date: 2009/11/12
> Subject: ENC: Fortíssimo...
> To: <email address hidden>
>
>
>
>
> Att.:
>
>
> Juçara Marques
>
> Arp Lentes
>
> E-mail <email address hidden>
>
> Skype: jucara.arplentes
>
> Fone: (11) 2575-0123
> ------------------------------
>
> *De:* Cristiane - Arpmed [mailto:<email address hidden>]
> *Enviada em:* quinta-feira, 12 de novembro de 2009 07:30
> *Para:* <email address hidden>
> *Cc:* Pedidos - Arplentes; <email address hidden>;
> <email address hidden>;
> <email address hidden>
> *Assunto:* Fw: Fortíssimo...
>
>
> Leiam com muiitttaa Atenção!!!
>
>
> Cris
>
>
> ----- Original Message -----
>
> *From:* Odete Cristina Rodrigues Neves <email address hidden>
>
> *To:* 'Eliana Aparecida do E Santo de Souz' <email address hidden> ;
> <email address hidden> ; <email address hidden>
>
> *Sent:* Tuesday, November 10, 2009 8:41 AM
>
> *Subject:* ENC: Fortíssimo...
>
>
>
> Nunca se esqueça de agradecer a Deus por tudo.
>
>
>
> *"A felicidade não depende do que nos falta, mas do bom uso que fazemos do
> que temos."*
>
> "Nós podemos chamar a nós mesmos de *Quadrangular, Assembléia, Maranata,
> comunidade Presbiteriana, Batista*. *Universal, Deus é Amor, Sara, IRUP*.
> Nós podemos chamar a nós mesmos de *Pentecostais, tradicionais,
> neopentencostal* ou o que for, mas enquanto a *mola principal,* o
> *Espírito
> Santo*, não estiver ali pulsando *amor, perdão, gozo, paz, bondade,
> paciência, misericórdia*. estaremos apenas representando uma peça".
> VAMOS VIVER O MAIOR DE TODOS OS MANDAMENTOS. AMAR À DEUS E AO NOSSO
> PROXÍMO.
>
> PAZ.
>
>
>
>
>
> *
> ------------------------------
> *
>
> *Odete Neves*****
>
> *Treinamento & Qualidade
> **T I V I T **
> (11)** **3324-0024 | Ramal 80024*
>
> *Site Ipiranga - Alfredo issa nº 48 – Sta Efigênia – São Paulo –SP.**
> **www.tivit.com.br <http://www.tivit.com.br%C2%A0/>*
>
> * *
>
> *Uma empresa do Grupo Votorantim
> **Esta mensagem, incluindo seus anexos, tem caráter confidencial e seu
> conteúdo é restrito ao destinatário da mensagem. Caso você a tenha recebido
> por engano, queira, por favor, retorná-la ao destinatário e apagá-la de
> seus
> arquivos. Qualquer uso não autorizado, replicação ou disseminação desta
> mensagem ou parte dela é expressamente proibido. A TIVIT não se
> responsabilizará pelo conteúdo ou pela veracidade desta informação.*
>
> * *
> *
> ------------------------------
> *
>
>
>
> --
> Wagner França Marques
> 70768470
>
>
> ** Attachment added: "_AVG certification_.txt"
> http://launchpadlibrarian.net/35652642/_AVG%20certification_.txt
>
> ** Attachment added: "=?ISO-8859-1?B?cmVmbGV4428gc+lyaWEucHBz?="
>
> http://launchpadlibrarian.net/35652643/%3D%3FISO-8859-1%3FB%3FcmVmbGV4428gc%2BlyaWEucHBz%3F%3D
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Michael Nagel (nailor) wrote :

it looks as if bug 364984 should be merged with this one as they describe the same problem, imho.

however both reports have plenty of duplicates and launchpad does not handle merging such bugs very well i think.

maybe one of you could have a look at this other bug and either mark it as duplicate (or close it and redirect people here) or work out the differences between the reports...

Tinke (titapa75) on 2010-01-09
Changed in sun-java6 (Ubuntu):
status: Fix Committed → Incomplete
Monkey (monkey-libre) wrote :

I confirm this bug in Ubuntu 9.10 Karmic Koala. I´ve done: sudo aptitude install sun-java6 and the Sub-process /usr/bin/dpkg returned an error code (1). Then I´ve done sudo dpkg --configure sun-java6-doc
Configuring sun-java6-doc (6-15-1) ...
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

    jdk-6u10-docs.zip jdk-6u10-docs-ja.zip

(choose the non-update version if this is the first installation).
Please visit

    http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]

Changed in sun-java6 (Ubuntu):
status: Incomplete → Confirmed
Monkey (monkey-libre) wrote :

I confirm this bug in Ubuntu 9.10 Karmic Koala 32 bits. I´ve done: sudo aptitude install sun-java6 and the Sub-process /usr/bin/dpkg returned an error code (1). Then I´ve done sudo dpkg --configure sun-java6-doc
Configuring sun-java6-doc (6-15-1) ...
This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

    jdk-6u10-docs.zip jdk-6u10-docs-ja.zip

(choose the non-update version if this is the first installation).
Please visit

    http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]

Changed in j2se1.4-i586 (Ubuntu):
status: Fix Released → Fix Committed

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- wagner

wagner marques

Confirm that you know wagner marques
https://www.linkedin.com/e/isd/1008890041/U6hOYTg9/

------
(c) 2010, LinkedIn Corporation

Nailson (nailsonlinux) wrote :

LinkedIn
------------
Nailson Martins requested to add you as a connection on LinkedIn:
------------------------------------------

Theodoros,

I'd like to add you to my professional network on LinkedIn.

- Nailson

Accept invitation from Nailson Martins
http://www.linkedin.com/e/Xt4URcm5bqafsqgBWv9YdYFYy47N-wNs7diblS/blk/I1744782525_2/1BpC5vrmRLoRZcjkkZt5YCpnlOt3RApnhMpmdzgmhxrSNBszYOnPkOdj8UdPgQdP59bQtIlzhopmZbbP8SdPoUcP4Nc34LrCBxbOYWrSlI/EML_comm_afe/

View invitation from Nailson Martins
http://www.linkedin.com/e/Xt4URcm5bqafsqgBWv9YdYFYy47N-wNs7diblS/blk/I1744782525_2/39vdj8RczwTd3gTckALqnpPbOYWrSlI/svi/
------------------------------------------

DID YOU KNOW that LinkedIn can find the answers to your most difficult questions? Post those vexing questions on LinkedIn Answers to tap into the knowledge of the world's foremost business experts:
http://www.linkedin.com/e/ask/inv-23/

------
(c) 2010, LinkedIn Corporation

unsubscrive

2009/12/22 Michael Nagel <email address hidden>

> it looks as if bug 364984 should be merged with this one as they
> describe the same problem, imho.
>
> however both reports have plenty of duplicates and launchpad does not
> handle merging such bugs very well i think.
>
> maybe one of you could have a look at this other bug and either mark it
> as duplicate (or close it and redirect people here) or work out the
> differences between the reports...
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

tags: added: bugpattern-written
silentwasp (sageofhalo) on 2010-02-26
Changed in sun-java5 (Ubuntu):
status: Fix Released → Fix Committed
Krazy-H (mbackeseye) wrote :

i'm not using ubuntu right now :p
KRAZY-H : THE DIFFERENT

On 26 February 2010 06:15, silentwasp <email address hidden> wrote:
> ** Changed in: sun-java5 (Ubuntu)
>       Status: Fix Released => Fix Committed
>
> --
> Java Docs Package Won't Install
> https://bugs.launchpad.net/bugs/85969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “j2se1.4-i586” package in Ubuntu: Fix Committed
> Status in “sun-java5” package in Ubuntu: Fix Committed
> Status in “sun-java6” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation.  You will need to go download one of the
> archives:
>
>    jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
>    http://java.sun.com/javase/downloads/
>
> now and download.  The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users the hassle. This is annoying and unnecessary.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/j2se1.4-i586/+bug/85969/+subscribe
>

Launchpad Janitor (janitor) wrote :
Download full text (23.9 KiB)

This bug was fixed in the package sun-java6 - 6.18-2

---------------
sun-java6 (6.18-2) unstable; urgency=low

  * Package moved under the Debian Java team
  * Add myself as uploader (Closes: #544629)
  * Update of the Vcs-Svn & Vcs-Browser fields
  * Cleanup the version numbers (- in the version was messing up)
    (Closes: #445343)
  * Update of the license URL from http://java.sun.com/notes (404)
    to http://download.java.net/dlj/jdk6/LICENSE (Closes: 569352)
  * French debconf templates translation updated (Closes: #569282)
  * Czech debconf templates translation updated (Closes: #569294)
  * Japanese debconf templates translation updated (Closes: #569312)
  * Italien debconf templates translation updated
  * Slovak debconf templates translation updated (Closes: #569489)
  * Fix Incorrect Menu Entry for Java Web Start
    Reuse javaws.wrapper from openjdk (Closes: #489833)
  * Konqueror also available as a browser (Closes: #514983)

sun-java6 (6-18-1) unstable; urgency=low

  * QA upload.
  * Non-maintainer upload.
  * New upstream version.
    Release notes at http://java.sun.com/javase/6/webnotes/6u18.html
  * Rephrase on the license approval (Closes: #541881)
  * Update messages to show the actual $TMP instead of /tmp
    (Closes: #539556; #506890)
  * Standards-Version updated to version 3.8.4
  * Replace jconsole => jvisualvm in the menu (Closes: #539288)
  * fontconfig.properties uses uming.ttc instead of uming.ttc (Closes: #566088)
  * Integration of the Galician translation. Thanks marce. (Closes: #537543)
  * Integration of the Slovak translation. Thanks Ivan Masár (Closes: #535184)
  * Integration of the Simplified Chinese translation. Thanks Ji ZhengYu
    (Closes: #535184)
  * dh_desktop removed from debian/rules
  * not-binnmuable-all-depends-any fixed

sun-java6 (6-17-1) unstable; urgency=low

  * QA upload.
  * New upstream version. (Closes: #558173)
    Release notes at http://java.sun.com/javase/6/webnotes/6u17.html

sun-java6 (6-16-1) unstable; urgency=low

  * QA upload.
  * Remove `Uploaders' attribute.
  * New upstream version.
    Release notes at http://java.sun.com/javase/6/webnotes/6u16.html
  * Fix some more lintian warnings.
  * Stop building sun-java6-doc, it's an installer package anyway.
    Suggest openjdk-6-doc instead.
  * Mention compatibility problems with some window managers and running with
    AWT_TOOLKIT=MToolkit in README.Debian. See #504524.

sun-java6 (6-15-1) unstable; urgency=medium

  * New upstream version.
    Release notes at http://java.sun.com/javase/6/webnotes/6u15.html
    Addresses CVE-2009-0217, CVE-2009-2475, CVE-2009-2476, CVE-2009-2625,
    CVE-2009-2670, CVE-2009-2671, CVE-2009-2672, CVE-2009-2673, CVE-2009-2674,
    CVE-2009-2675, CVE-2009-2676, CVE-2009-2690.
  * Set section names to java.
  * Orphan the package.

sun-java6 (6-14-1) unstable; urgency=low

  * New upstream version.
    Release notes at http://java.sun.com/javase/6/webnotes/ReleaseNotes.html.
  * Add xulrunner-1.9 as a browser alternative. Closes: #526227.

sun-java6 (6-13-1) unstable; urgency=low

  * New upstream version. Closes: #521414. LP: #349135.
    Release notes at http://java.sun.com/javase/6/web...

Changed in sun-java6 (Ubuntu):
status: Confirmed → Fix Released
cpmarkman (cpmarkman) on 2010-02-28
Changed in sun-java6 (Ubuntu):
assignee: nobody → cpmarkman (cpmarkman)
markauro (markauro) on 2010-03-01
Changed in sun-java6 (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Tim Murphy (timmurphy47) on 2010-03-01
Changed in sun-java6 (Ubuntu):
status: Fix Released → Confirmed
sheko70 (shekosheko70) wrote :

thanx

Changed in j2se1.4-i586 (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Matthias Klose (doko) wrote :

sun-java6-doc removed in lucid

Changed in sun-java6 (Ubuntu):
status: Confirmed → Won't Fix
Mogens (mogens-okjolle) on 2010-04-09
Changed in sun-java6 (Ubuntu):
status: Won't Fix → Fix Released
Alex Cockell (alcockell) wrote :

I have to ask - wouldn't it be possible for Canonical to liaise with Oracle re the possibility of getting the Java documentation into the Partner repo?

Or has this already been done?

NoBugs! (luke32j) wrote :

Since sun-java6-doc package isn't available in lucid, how can I install javadoc for use in Netbeans and Eclipse?

Nailson (nailsonlinux) wrote :

On Netbeans:

Click on Tools >> NetBeans Platforms
Click on Javadoc >> Add ZIP/Directory

and add the .zip package with J2SE Doc.

carlos (alberto-aratri) on 2010-10-08
Changed in sun-java6 (Ubuntu):
status: Fix Released → Confirmed
Matthias Klose (doko) on 2010-10-08
Changed in sun-java6 (Ubuntu):
status: Confirmed → Fix Released
3 comments hidden view all 136 comments
Philip (haslewood) wrote :

Has this problem been fixed. If so where do I find the fix?

Really I don't know because since that time I didn't installed again JAVA.
Let say it is fixed.

Max
Le 08/12/2010 14:25, Philip a écrit :
> Has this problem been fixed. If so where do I find the fix?
>

allapow (info-t-brieskorn) wrote :

I think nothing is fixed. On my fresh Debian is the error again.
> Really I don't know because since that time I didn't installed again JAVA.
> Let say it is fixed.
>
> Max
> Le 08/12/2010 14:25, Philip a écrit :
>> Has this problem been fixed. If so where do I find the fix?
>>

--
Torsten Brieskorn
Rembergstraße 61 A
58095 Hagen
Tel.: 02331 9109102
Sprachbox: 02331 9109102
mobil: 0162 9386869
Email: <email address hidden>
http://www.t-brieskorn.de

Philip (haslewood) wrote :

On Wed, 2010-12-08 at 15:39 +0000, MaxMtp wrote:
> Really I don't know because since that time I didn't installed again JAVA.
> Let say it is fixed.
>
> Max
> Le 08/12/2010 14:25, Philip a écrit :
> > Has this problem been fixed. If so where do I find the fix?
> >
> Thanks for your prompt response - unfortunately, it tries to instal each time I do an upgrade!
Regards Philip

Philip (haslewood) wrote :

On Wed, 2010-12-08 at 22:05 +0000, allapow wrote:
> I think nothing is fixed. On my fresh Debian is the error again.
> > Really I don't know because since that time I didn't installed again JAVA.
> > Let say it is fixed.
> >
> > Max
> > Le 08/12/2010 14:25, Philip a écrit :
> >> Has this problem been fixed. If so where do I find the fix?
> >>

> Thanks for your prompt response - unfortunately, it tries to instal each time I do an upgrade!
Regards Philip
>
>
> --
> Torsten Brieskorn
> Rembergstraße 61 A
> 58095 Hagen
> Tel.: 02331 9109102
> Sprachbox: 02331 9109102
> mobil: 0162 9386869
> Email: <email address hidden>
> http://www.t-brieskorn.de
>

bullet (sergey-vasilyev) wrote :

Hi,

Looks very strange, but I do not see the sun-java6-doc package as available
any more.

Best regards, Sergey

On Fri, Dec 10, 2010 at 2:13 PM, Philip <email address hidden> wrote:

> On Wed, 2010-12-08 at 15:39 +0000, MaxMtp wrote:
> > Really I don't know because since that time I didn't installed again
> JAVA.
> > Let say it is fixed.
> >
> > Max
> > Le 08/12/2010 14:25, Philip a écrit :
> > > Has this problem been fixed. If so where do I find the fix?
> > >
> > Thanks for your prompt response - unfortunately, it tries to instal each
> time I do an upgrade!
> Regards Philip
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/85969
>
> Title:
> Java Docs Package Won't Install
>
> Status in “j2se1.4-i586” package in Ubuntu:
> Fix Committed
> Status in “sun-java5” package in Ubuntu:
> Fix Committed
> Status in “sun-java6” package in Ubuntu:
> Fix Released
>
> Bug description:
> Binary package hint: sun-java6-doc
>
> This is also a problem with the java5 version of this package
>
> Trying to install these packages produces a message:
>
> Setting up sun-java6-doc (6-00-2ubuntu1) ...
> This package is an installer package, it does not actually contain the
> JDK documentation. You will need to go download one of the
> archives:
>
> jdk-6-doc.zip jdk-6-doc-ja.zip
>
> (choose the non-update version if this is the first installation).
> Please visit
>
> http://java.sun.com/javase/downloads/
>
> now and download. The file should be owned by root.root and be copied
> to /tmp.
>
> [Press RETURN to try again, 'no' + RETURN to abort]
>
> We should probably use wget or something to grab these files and save users
> the hassle. This is annoying and unnecessary.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/j2se1.4-i586/+bug/85969/+subscribe
>

--
Sergey Vasilyev
+375 29 6122202
<email address hidden>

Se você não conhece Alberto de Paola, ignore esta mensagem de email.
Se você não pode clicar nos links, clique em « Mostrar conteúdo » e tente novamente.

Olá,

Finalmente, um sistema inteligente e simples para gerenciar seus contatos!

Com UNYK, eu reuni todos os meus contatos num mesmo caderno de endereços, que se atualiza automaticamente. Um dos meus contatos modifica os dados dele(a) no site UNYK.com: meu caderno se atualiza. Eu modifico um dado no site UNYK.com: o caderno dos meus contatos se atualiza. É simples e facilita a vida!

Posso lhe acrescentar aos meus contatos? Para aceitar, clique aqui!
http://www.unyk.com/ml/608/233/?i=340CB376E42E4B2F84DFB478776D84EF&s=21239660&w=1294136726
Você poderá também criar seu caderno de endereços inteligente.

Alberto de Paola
UNYK : UBF 802

Não responda diretamente a esta mensagem. Caso você tenha perguntas ou dúvidas, por favor, entre em contato conosco: http://unyk.com/pt/Entre-em-contato-conosco
UNYK Inc., 1010 de Serigny, bureau 820, Longueuil, QC, J4K 5G7, Canada.

Não quero mais receber nenhum convite para utilizar UNYK da parte de Alberto de Paola: cancelar minha inscrição
http://www.unyk.com/ml/608/235/?mid=9F92A4A7827A899D&<email address hidden>&s=21239660&w=1294136726

Não quero mais receber nenhum convite para utilizar UNYK: cancelar minha inscrição
http://www.unyk.com/ml/608/234/?i=340CB376E42E4B2F84DFB478776D84EF&s=21239660&w=1294136726

UNYK, o primeiro caderno de endereços inteligente que se atualiza sozinho!

Hello Customer

Don't hesitate. We do our best to satisfy our customers and ensure fast delivery and excellent service. If you receive a damaged watch we will ship another one to you free of charge.
Make your order before the prices go up.

**************************************************************************************
Today I received my two watches. Both watches were spectacular, you guys did a wonderful job and I will definitely recommend you to all my friends!
Thankee!
                     Marla Friedman
**************************************************************************************

Click here ---> http://ranoa.ru

Phillip Susi (psusi) wrote :

Closing since this package no longer exists.

Changed in j2se1.4-i586 (Ubuntu):
status: Fix Committed → Invalid
Displaying first 40 and last 40 comments. View all 136 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers